// Author: fengshengxiong
// Date: 2024/5/7
// Description: 主题

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:hello_wallpaper/res/themes/app_colors.dart';

/// 深色主题
ThemeData darkTheme = ThemeData.dark(useMaterial3: true).copyWith(
  colorScheme: ColorScheme.fromSeed(seedColor: seedColor, primary: Colors.white),
  scaffoldBackgroundColor: seedColor,
  bottomNavigationBarTheme: BottomNavigationBarThemeData(
    elevation: 0.0,
    backgroundColor: Colors.black,
    // selectedFontSize字体默认14会让BottomNavigationBar高度增加，56->58，因此将大小改为10
    selectedLabelStyle: TextStyle(fontSize: 10.sp, fontWeight: FontWeight.w500),
    unselectedLabelStyle: TextStyle(fontSize: 10.sp, fontWeight: FontWeight.w500),
    selectedItemColor: Colors.white,
    unselectedItemColor: Colors.white.withOpacity(0.5),
  ),
  scrollbarTheme: ScrollbarThemeData(
    thumbVisibility: MaterialStateProperty.all(false),
    thumbColor: MaterialStateProperty.all(Colors.white),
    radius: Radius.circular(8.r),
  ),
);